package eu.glorya.math.diplomka.gui;

import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JPanel;

import eu.glorya.math.diplomka.FactorTrees;
import eu.glorya.math.diplomka.gui.util.HorizontalCenter;
import eu.glorya.math.diplomka.gui.util.LookNFeel;

public class PromotionPanel extends JPanel {
	private static final long serialVersionUID = 4022940242205795965L;

	public PromotionPanel() {
        setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
        
        add(Box.createVerticalStrut(50));
        add(new HorizontalCenter(FactorTrees.getMessage("AppTitle"), LookNFeel.h1));
        
        add(Box.createVerticalStrut(50));
        add(new HorizontalCenter(FactorTrees.getMessage("Author") + ": Jiří Hofman", LookNFeel.h1));
        add(Box.createVerticalStrut(10));
        add(new HorizontalCenter(FactorTrees.getMessage("ProjectLeader") + ": Ing. Petr Ambrož, PhD.", LookNFeel.h1));
        
        add(Box.createVerticalStrut(50));
        add(new HorizontalCenter(FactorTrees.getMessage("SoftwareDevelopedFor"), LookNFeel.textFont));
        add(Box.createVerticalStrut(10));
        add(new HorizontalCenter(FactorTrees.getMessage("DeptOfMath"), LookNFeel.h1));
        add(Box.createVerticalStrut(10));
        add(new HorizontalCenter(FactorTrees.getMessage("FNSPE"), LookNFeel.h1));
        add(Box.createVerticalStrut(10));
        add(new HorizontalCenter(FactorTrees.getMessage("CTUPrague"), LookNFeel.h1));
        add(Box.createVerticalStrut(10));
        add(new HorizontalCenter(FactorTrees.getMessage("SchoolProject"), LookNFeel.textFont));
        add(new HorizontalCenter(FactorTrees.getMessage("Specialization"), LookNFeel.textFont));
        
        add(Box.createVerticalStrut(100));
        add(new HorizontalCenter("(c) Copyright Jiří Hofman 2007", LookNFeel.h3));
        add(Box.createVerticalStrut(5));
        add(new HorizontalCenter("http://www.glorya.eu", LookNFeel.textFont));
	}
}
