/* 
 * File:	HorizontalCenter.java
 * Author:	Jiri Hofman
 * Created:	14.10.2006
 *
 * (c) Copyright Jiri Hofman 2006
 */

package eu.glorya.math.diplomka.gui.util;

import java.awt.Font;

import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class HorizontalCenter extends JPanel {
    private static final long serialVersionUID = -5720788232113356803L;
    
    private JLabel label;

    public HorizontalCenter(String text, Font font) {
        super();
        setLayout(new BoxLayout(this, BoxLayout.X_AXIS));
        add(Box.createHorizontalGlue());
        
        label = new JLabel(text);
        label.setFont(font);
        add(label);
        
        add(Box.createHorizontalGlue());
    }

    public JLabel getLabel() {
        return label;
    }
}
