/* 
 * File:	LookNFeel.java
 * Author:	Jiri Hofman
 * Created:	19.5.2006
 *
 * (c) Copyright Jiri Hofman 2006
 */

package eu.glorya.math.diplomka.gui.util;

import java.awt.Color;
import java.awt.Font;

import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.border.Border;
import javax.swing.border.CompoundBorder;
import javax.swing.border.EmptyBorder;
import javax.swing.border.EtchedBorder;

import eu.glorya.math.diplomka.FactorTrees;

public class LookNFeel {
    public static final Border etchedBorder = new EtchedBorder();
    public static final Border padding = new EmptyBorder(3, 3, 3, 3);
    public static final Border normalBorder = new CompoundBorder(etchedBorder, padding);
    
    public static final ImageIcon appIcon = new ImageIcon(FactorTrees.class.getResource("icons/application.png"));
    public static final Icon exitIcon = new ImageIcon(FactorTrees.class.getResource("icons/exit.png"));
    public static final Icon wordConfigIcon = new ImageIcon(FactorTrees.class.getResource("icons/config.png"));
    public static final Icon generateWordIcon = new ImageIcon(FactorTrees.class.getResource("icons/generate.png"));
    public static final Icon leftSpecialsIcon = new ImageIcon(FactorTrees.class.getResource("icons/fork.png"));
    public static final Icon rightSpecialsIcon = new ImageIcon(FactorTrees.class.getResource("icons/fork.png"));
    public static final Icon saveIcon = new ImageIcon(FactorTrees.class.getResource("icons/save.png"));
    public static final Icon idleIcon = new ImageIcon(FactorTrees.class.getResource("icons/idle.png"));
    public static final Icon busyIcon = new ImageIcon(FactorTrees.class.getResource("icons/busy.png"));
    
    public static final Color focusedItem = Color.CYAN;
    
    public static final Font h1 = new Font(null, Font.BOLD, 20);
    public static final Font h2 = new Font(null, Font.BOLD, 15);
    public static final Font h3 = new Font(null, Font.BOLD, 12);
    public static final Font textFont = new Font(null, Font.PLAIN, 12);
    public static final Font warningFont = new Font(null, Font.BOLD, 12);
}
